# class NamedString | A named string class. More...
Full name | `TelEngine::NamedString`
Definition | `#include <yateclass.h>`
Inherits | TelEngine::String [public ]
Inherited by | ExpFunction, ExpOperation, ExpWrapper, MimeAuthLine, MimeHeaderLine, NamedPointer
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- explicit NamedString (const char* name, const char* value = 0)
- inline const String& name () const
- virtual const String& toString () const
- virtual void* getObject (const String& name) const
- inline NamedString& operator= (const char* value)

## Detailed Description

A string class with a hashed string name

explicit NamedString (const char* name, const char* value = 0) | ### NamedString

Creates a new named string.

Parameters:

name | Name of this string
value | Initial value of the string

inline const String& name () | ### name

[const]

Retrieve the name of this string.

Returns: A hashed string with the name of the string

const String& toString () | ### toString

[const virtual]

Get a string representation of this object

Returns: A reference to the name of this object

Reimplemented from String.

void* getObject (const String& name) | ### getObject

[const virtual]

Get a pointer to a derived class given that class name

Parameters:

name | Name of the class we are asking for

Returns: Pointer to the requested class or NULL if this object doesn't implement it

Reimplemented from String.

inline NamedString& operator= (const char* value) | ### operator=

Value assignment operator

Reimplemented from String.

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.